## passim 0.1.10

=== meson_options.txt ===
option('systemd_root_prefix', type: 'string', value: '', description: 'Directory to base systemd’s installation directories on')
option('introspection', type : 'feature', description : 'generate GObject Introspection data')

=== debian/changelog ===
passim (0.1.10-3) unstable; urgency=medium

  * d/control: Drop builds for hurd

 -- Mario Limonciello <superm1@debian.org>  Thu, 30 Oct 2025 13:04:23 -0500

passim (0.1.10-2) unstable; urgency=medium

  * d/control: fix build-deps for gobject introspection
  * d/control: Add gir provides

 -- Mario Limonciello <superm1@debian.org>  Wed, 29 Oct 2025 12:37:00 -0500

passim (0.1.10-1) unstable; urgency=medium

  * Initial release. (Closes: #1099862)

 -- Mario Limonciello <superm1@debian.org>  Mon, 11 Aug 2025 10:01:42 -0500

=== debian/control ===
Source: passim
Section: utils
Priority: optional
Maintainer: Mario Limonciello <superm1@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 gir1.2-gio-2.0-dev,
 gir1.2-gobject-2.0-dev,
 gnutls-dev,
 gobject-introspection (>= 1.80),
 meson,
 pkgconf,
 libglib2.0-dev,
 libsoup-3.0-dev,
 systemd-dev,
Standards-Version: 4.7.2
Homepage: https://github.com/hughsie/passim/
Vcs-Browser: https://salsa.debian.org/efi-team/passim
Vcs-Git: https://salsa.debian.org/efi-team/passim.git

Package: passim
Architecture: linux-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Local caching server
 Passim is used to cache small files (such as those from a CDN) to be able
 to share with other clients on the local network that would otherwise be
 downloading the same files.

Package: libpassim1
Section: libs
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: passim local caching server library
 Passim is used to cache small files (such as those from a CDN) to be able
 to share with other clients on the local network that would otherwise be
 downloading the same files.
 .
 This package provides the library that applications use to interface with
 the passim software.


Package: libpassim-dev
Architecture: linux-any
Multi-Arch: same
Depends: libpassim1 (= ${binary:Version}),
         ${misc:Depends},
Section: libdevel
Description: development files for libpassim
 Passim is used to cache small files (such as those from a CDN) to be able
 to share with other clients on the local network that would otherwise be
 downloading the same files.
 .
 This package provides the development files for libpassim that allow
 applications to use it.

Package: gir1.2-passim-1.0
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${gir:Depends},
Section: introspection
Description: GObject introspection data for passim
 This package provides the introspection data for passim
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: gir1.2-passim-1.0-dev
Architecture: linux-any
Multi-Arch: same
Provides: ${gir:Provides}
Depends: ${misc:Depends},
         ${gir:Depends},
         gir1.2-passim-1.0 (= ${binary:Version}),
Section: libdevel
Description: GObject introspection data for passim (development files)
 This package provides the introspection data for passim
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	# Remove the hello world test file
	rm -fr debian/tmp/var/lib/
